Update version
curl --request PUT \
--url https://app.freyavoice.ai/api/v2/versions/{entityType}/{entityId}/{versionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.freyavoice.ai/api/v2/versions/{entityType}/{entityId}/{versionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.freyavoice.ai/api/v2/versions/{entityType}/{entityId}/{versionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"message": "<string>",
"result": {
"version": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entityType": "<string>",
"entityId": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionNumber": 123,
"parentVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPublished": true,
"configSnapshot": {},
"configDiff": {},
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"publishedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"sourceRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}{
"success": false,
"data": {
"message": "<string>",
"result": "<unknown>"
}
}Versions
Update version
Updates version metadata.
PUT
/
versions
/
{entityType}
/
{entityId}
/
{versionId}
Update version
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Entity type: 'agent' or 'workflow'
Available options:
agent, workflow Query Parameters
Minimum string length:
1